nova list not showing networks info

Bug #854585 reported by Eric Dodemont on 2011-09-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Critical
Trey Morris

Bug Description

I just have installed nova with the latest ppa packages: 2012.1~e1~20110920.1601-0ubuntu0ppa1~natty1.

The nova command is no more showing the networks info:

* euca-describe-instance (OK):

INSTANCE i-00000018 ami-00000003 192.168.1.240 10.0.3.3 running key-dodeeric (project-toc, node1) 0 a1.medium

* nova list (NOK: "Netwoks" field is empty):

+----+-----------+--------+----------+
| ID | Name | Status | Networks |
+----+-----------+--------+----------+
| 24 | Server 24 | ACTIVE | |
+----+-----------+--------+----------+

Dan Prince (dan-prince) on 2011-09-20
Changed in nova:
assignee: nobody → Dan Prince (dan-prince)
status: New → In Progress
importance: Undecided → Critical
Dan Prince (dan-prince) wrote :

I'm seeing this as well. When using the OSAPI to access servers the IP information is gone:

{"server": {"status": "ACTIVE", "updated": "2011-09-20T14:33:26Z", "hostId": "84fd63700cb981fed0d55e7a7eca3b25d111477b5b67e70efcf39b93", "user_id": "admin", "name": "test", "links": [{"href": "http://nova1:8774/v1.1/1/servers/2", "rel": "self"}, {"href": "http://nova1:8774/1/servers/2", "rel": "bookmark"}], "addresses": {}, "tenant_id": "1", "image": {"id": "3", "links": [{"href": "http://nova1:8774/1/images/3", "rel": "bookmark"}]}, "created": "2011-09-20T14:33:14Z", "uuid": "e10b051d-0b69-436b-a6b0-60045be92ff3", "accessIPv4": "", "accessIPv6": "", "key_name": null, "progress": 100, "flavor": {"id": "1", "links": [{"href": "http://nova1:8774/1/flavors/1", "rel": "bookmark"}]}, "config_drive": "", "id": 2, "metadata": {}}}

Looks like commit 1594 is the culprit. That commit removed the fkey from instances to virtual_interfaces.

Our code uses the following to obtain the IPs:

        interfaces = inst.get('virtual_interfaces', [])

Dan Prince (dan-prince) wrote :

Hmm. I think this is a different issue. I'm getting IP info for the EC2 API:

euca-describe-instances
RESERVATION r-t5zhhrb6 1 default
INSTANCE i-00000003 ami-00000003 192.168.0.2 192.168.0.2 running 0 m1.tiny 2011-09-20T14:52:27Z nova aki-00000002 ari-00000001
RESERVATION r-pcp8oojq 1 default
INSTANCE i-00000002 ami-00000003 192.168.0.3 192.168.0.3 running 0 m1.tiny 2011-09-20T14:33:14Z nova aki-00000002 ari-00000001

Just not seeing it for the OSAPI.

Changed in nova:
assignee: Dan Prince (dan-prince) → nobody
status: In Progress → New
importance: Critical → Medium
importance: Medium → Critical
assignee: nobody → Dan Prince (dan-prince)
status: New → In Progress
Dan Prince (dan-prince) wrote :

NM. I was misreading this. You were just saying EC2 works. It does. OSAPI is broken.

Dan Prince (dan-prince) on 2011-09-20
Changed in nova:
assignee: Dan Prince (dan-prince) → Trey Morris (tr3buchet)

Reviewed: https://review.openstack.org/618
Committed: http://github.com/openstack/nova/commit/8be1c68f809b55088c1ad00ef86cb13b0103aab0
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 8be1c68f809b55088c1ad00ef86cb13b0103aab0
Author: Jason Koelker <email address hidden>
Date: Tue Sep 20 16:13:12 2011 -0500

    * Rework osapi to use network API not FK backref
    * Fixes lp854585

    Change-Id: I270794a08a1bfafe7af427cd31f1f60df1faa4ba

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2011-11-09
Changed in nova:
milestone: none → essex-1
Thierry Carrez (ttx) on 2011-11-17
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers